> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List branches + transform files

> Discover what's available to configure: the repo's branches and the
``*.py`` files under ``ai_transforms/`` at the chosen branch. Lightweight —
ls-remote for branches, a blobless partial clone for the file list.



## OpenAPI

````yaml /api-reference/catalog-api.json get /connectors/{connector_type}/ai-transforms
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/{connector_type}/ai-transforms:
    get:
      tags:
        - connectors
      summary: List branches + transform files
      description: >-
        Discover what's available to configure: the repo's branches and the

        ``*.py`` files under ``ai_transforms/`` at the chosen branch.
        Lightweight —

        ls-remote for branches, a blobless partial clone for the file list.
      operationId: list_ai_transforms_connectors__connector_type__ai_transforms_get
      parameters:
        - name: connector_type
          in: path
          required: true
          schema:
            type: string
            title: Connector Type
        - name: branch
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Branch
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response List Ai Transforms Connectors  Connector Type  Ai
                  Transforms Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````